document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_5900 | ---
+++
@@ -1,8 +1,15 @@
+PLATFORM=`uname`
+
+if [[ "$PLATFORM" == "Darwin" ]]; then
+ alias ls='ls -Gh'
+elif [[ "$PLATFORM" == "Linux" ]]; then
+ alias ls='ls --color=auto -h'
+fi
+
alias h=history
alias ll="ls -al"
alias ...='cd ..'
alias more='less'
-alias ls='ls -G'
alias la='ls -al'
alias lsd='ls -d */'... | bash |
d_bash_5901 | ---
+++
@@ -32,6 +32,7 @@
echo "-- Committing and tagging..."
replaceJsonProp "bower.json" "version" "$VERSION"
+ replaceJsonProp "package.json" "version" "$VERSION"
git add -A
git commit -am "release: version $VERSION" | bash |
d_bash_5902 | ---
+++
@@ -17,17 +17,22 @@
# Based on approach at https://github.com/hugojosefson/find-node-or-install.
+function die() {
+ (>&2 echo $1)
+ exit 1
+}
+
cd $(dirname $0)
-readonly VERSION='lts/*'
+readonly NODE_VERSION='lts/*'
export NVM_DIR=${PWD}/nvm
if [[ ! -d "${NVM_DIR}" ]]; then
- git clone git:/... | bash |
d_bash_5903 | ---
+++
@@ -1,12 +1,19 @@
#!/bin/bash
- SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
- # Change to root compss directory
- cd "${SCRIPT_DIR}/../../../compss/" || exit 1
+#
+# SCRIPT CONSTANTS
+#
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+INSPECTED_DIRS="compss maven-plu... | bash |
d_bash_5904 | ---
+++
@@ -12,8 +12,8 @@
-keyout /etc/nginx/ssl/nginx.key \
-out /etc/nginx/ssl/nginx.crt
fi
- cp ~/.ssh/nginx.key /etc/nginx/ssl/nginx.key
- cp ~/.ssh/nginx.crt /etc/nginx/ssl/nginx.crt
+ sudo cp ~/.ssh/nginx.key /etc/nginx/ssl/nginx.key
+ sudo cp ~/.ssh/nginx.crt /etc/nginx/ssl/nginx.crt
fi
... | bash |
d_bash_5905 | ---
+++
@@ -21,3 +21,10 @@
'
}
export -f ppi
+
+# Allow going up several directories easily.
+up() {
+ cd $(eval printf '../'%.0s {1..$1})
+ pwd
+}
+export -f up | bash |
d_bash_5906 | ---
+++
@@ -24,3 +24,7 @@
# add the node_js packages dir to PATH
PATH=$PATH:node_modules/.bin
+
+# Manage the npm cache on Jenkins.
+# (In this case, remove it. That ensures from run-to-run, it is a clean npm environment)
+npm cache clean | bash |
d_bash_5907 | ---
+++
@@ -1,5 +1,5 @@
if [ "$TRAVIS_REPO_SLUG" == "tbroyer/gwt-maven-plugin" ] && \
- [ "$TRAVIS_JDK_VERSION" == "oraclejdk10" ] && \
+ [ "$TRAVIS_JDK_VERSION" == "openjdk11" ] && \
[ "$GWT_VERSION" == "2.8.2" ] && \
[ "$TRAVIS_PULL_REQUEST" == "false" ] && \
[ "$TRAVIS_BRANCH" == "master" ]; then | bash |
d_bash_5908 | ---
+++
@@ -22,4 +22,4 @@
exit
fi
-mvn -B deploy --settings maven_deploy_settings.xml -Dmaven.test.skip=true -Dmaven.javadoc.skip=true -Dsource.skip=true -Dfindbugs.skip=true
+mvn -B deploy --settings maven_deploy_settings.xml -Dmaven.test.skip=true -Dfindbugs.skip=true | bash |
d_bash_5909 | ---
+++
@@ -1,7 +1,14 @@
-#!/bin/env bash
+#!/bin/bash
-dbpath=$(find /usr -type f -name "script.db" 2>/dev/null)
+dbpath=$(find /usr -type f -name "script.db" 2>/dev/null | awk 'gsub("script.db","")')
if [[ $dbpath ]]; then
- echo $dbpath >> settings.lua
+ echo $dbpath
+ echo -e "local settings = {} \n" > se... | bash |
d_bash_5910 | ---
+++
@@ -14,4 +14,4 @@
# install qml frontend dependencies
sudo add-apt-repository -y ppa:ubuntu-sdk-team/ppa
sudo apt-get update -qq
-sudo apt-get install -qq qtbase5-dev qtdeclarative5-dev
+sudo apt-get install -qq qtbase5-private-dev qtdeclarative5-private-dev | bash |
d_bash_5911 | ---
+++
@@ -22,3 +22,4 @@
brew cask install xquartz # For running X server based apps on Mac.
brew cask install wireshark
brew cask install sophos-antivirus # Free AV protection for Mac.
+brew cask install lightpaper # Mark-down editor. | bash |
d_bash_5912 | ---
+++
@@ -14,8 +14,18 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-FILES=$(go vet k8s.io/heapster/... 2>&1)
-if [[ ! -z "$FILES" ]]; then
-echo -e "Run go fix on the following files:\n $FILES"
- exit 1
-fi
+set -o errexit
+set -o pipefail
+
+# Filte... | bash |
d_bash_5913 | ---
+++
@@ -5,3 +5,4 @@
alias dkcleancontainers='/home/docker/bin/dkcleancontainers.sh'
alias dkcleanimages='/home/docker/bin/dkcleanimages.sh'
alias pipework='sudo /home/docker/bin/pipework'
+alias rmpyc="find . -name \"*.pyc\" -exec rm -f '{}' ';'" | bash |
d_bash_5914 | ---
+++
@@ -23,3 +23,5 @@
# Updates chromium source code.
git rebase-update
gclient sync
+# Run following command after changing code.
+gclient runhook | bash |
d_bash_5915 | ---
+++
@@ -17,7 +17,7 @@
cd re2 &&
git checkout 2016-02-01)
- CXXFLAGS="-Wall -O3 -fPIC -pthread -m$ERLANG_ARCH"
+ CXXFLAGS="-Wall -O3 -fPIC -pthread --std=c++11 -m$ERLANG_ARCH"
CXX="${CXX:-c++} -m$ERLANG_ARCH"
which gmake 1>/dev/null 2>/dev/null && MAKE=gmake
MAKE=${MAKE:-ma... | bash |
d_bash_5916 | ---
+++
@@ -24,7 +24,7 @@
-DCMAKE_INSTALL_PREFIX=$PREFIX \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_TOOLCHAIN_FILE=$TAGLIB_VERSION_toolchain.cmake \
- -DENABLE_STATIC=ON \
+ -DBUILD_SHARED_LIBS=OFF \
.
make
make install | bash |
d_bash_5917 | ---
+++
@@ -2,7 +2,7 @@
set +e
-VERSION="release-branch.go1.9"
+VERSION="release-branch.go1.10"
export CGO_ENABLED=0
| bash |
d_bash_5918 | ---
+++
@@ -1,3 +1,12 @@
-#!/bin/sh
+#!/bin/bash
-java -Xmx92m -Dosgi.classloader.singleThreadLoads=true -XX:+UseCompressedOops -XX:+CMSClassUnloadingEnabled -XX:+UseParallelGC -jar plugins/org.eclipse.equinox.launcher.jar $@
+FLAG=""
+
+JVMVERSION=`java -version 2>&1 | tail -1 -`
+
+case "$JVMVERSION" in
+ *64-B... | bash |
d_bash_5919 | ---
+++
@@ -3,10 +3,8 @@
# seqcloud bash script loader
# (c) 2017 Michael J. Steinbaugh
# This software is provided under an MIT License
-# http://seq.cloud
+# http://seq.cloud/
-# http://stackoverflow.com/questions/59895/getting-the-source-directory-of-a-bash-script-from-within
-# seqcloud_dir=${BASH_SOURCE%/*}... | bash |
d_bash_5920 | ---
+++
@@ -15,7 +15,7 @@
docker-compose up -d
echo "Sleeping 60 seconds to wait for all services to come up"
-sleep 50
+sleep 60
#curl -X POST -H "Content-Type: application/vnd.schemaregistry.v1+json" --data "{\"schema\": $(curl -s http://localhost:8085/subjects/pageviews-value/versions/latest | jq '.schema')... | bash |
d_bash_5921 | ---
+++
@@ -1 +1,5 @@
-export EDITOR='subl'
+# Only set this if we haven't set $EDITOR up somewhere else previously.
+if [ "$EDITOR" == "" ] ; then
+ # Use sublime for my editor.
+ export EDITOR='subl'
+fi | bash |
d_bash_5922 | ---
+++
@@ -12,7 +12,7 @@
}
oldycmcmt=`getYCMcommit`
-(echo "## Pulling from remote" && git pull) || exit 1
+(echo "## Pulling from remote" && git pull --no-rebase) || exit 1
(echo "## Syncing submodules " && git submodule sync) || exit 1
(echo "## Updating/Initing and merging submodules from their remote" && ... | bash |
d_bash_5923 | ---
+++
@@ -13,12 +13,12 @@
##########
# create dotfiles_old in homedir
-echo -n "Creating $olddir for backup of any existing dotfiles in ~ ..."
+echo -n "Creating \"$olddir\" for backup of any existing dotfiles in ~ ..."
mkdir -p $olddir
echo "done"
# change to the dotfiles directory
-echo -n "Changing to t... | bash |
d_bash_5924 | ---
+++
@@ -1,10 +1,7 @@
set -e
-brew tap homebrew/python > tap.log || cat tap.log
-brew tap homebrew/science > tap.log || cat tap.log
-brew update > update.log || cat update.log
-brew install autoconf automake ccache cmake doxygen gcc glib graphviz gtk+ \
- jpeg libpng libtool mpfr mpich2 numpy python qt swig valg... | bash |
d_bash_5925 | ---
+++
@@ -6,44 +6,44 @@
pwd
-# remote=$(git config remote.origin.url)
-#
-# siteSource="$1"
-#
-# if [ ! -d "$siteSource" ]
-# then
-# echo "Usage: $0 <site source dir>"
-# exit 1
-# fi
-#
-# # make a directory to put the gp-pages branch
-# mkdir gh-pages-branch
-# cd gh-pages-branch
-# # now lets setu... | bash |
d_bash_5926 | ---
+++
@@ -29,7 +29,7 @@
logger -t virus_scan "Starting scan on $FILENAME"
set +e
-clamscan --quiet $FILENAME
+clamdscan --fdpass --quiet $FILENAME
EXITCODE=$?
set -e
| bash |
d_bash_5927 | ---
+++
@@ -12,7 +12,7 @@
# Checks if a name is a command, function, or alias.
function is-callable {
- (( $+commands[$1] )) || (( $+functions[$1] )) || (( $+aliases[$1] ))
+ (( $+commands[$1] || $+functions[$1] || $+aliases[$1] || $+builtins[$1] ))
}
# Checks a boolean variable for "true". | bash |
d_bash_5928 | ---
+++
@@ -3,6 +3,10 @@
set -e
if [ -z ${TRAVIS} ]; then
+ exit 0
+fi
+
+if [ "${TRAVIS_PULL_REQUEST}" = "true" ]; then
exit 0
fi
| bash |
d_bash_5929 | ---
+++
@@ -13,7 +13,7 @@
"Open and save files as UTF-8 encoded"
# TextEdit -> Preferences -> New Document -> Format
-execute "defaults write com.apple.TextEdit RichText -" \
+execute "defaults write com.apple.TextEdit RichText 0" \
"Use plain text mode for new documents"
killall "TextEdit" &> /dev/nu... | bash |
d_bash_5930 | ---
+++
@@ -1,7 +1,7 @@
function alert {
if (( $? == 0 )) then
- say -v trinoids 'successfully done'
+ say -v Karen 'successfully done'
else
- say -v bad 'failed'
+ say -v Fred 'failed'
fi
} | bash |
d_bash_5931 | ---
+++
@@ -26,7 +26,13 @@
if [[ $BRANCH == master ]] && [[ $CI_PULL_REQUEST = false ]]; then
build mako
build kenzo
- build aries
+
+ # TODO: Build the secondary boards periodically
+# build aospkeno
+# build aries
+# build hammerhead
+# build oneplus3
+# build shamu
fi
exit 0 | bash |
d_bash_5932 | ---
+++
@@ -4,8 +4,11 @@
rm -rf /opt/alaveteli/lib/acts_as_xapian/xapiandbs/production
+echo "making $XAPIAN_MOUNT_PATH/$RAILS_ENV"
mkdir -p $XAPIAN_MOUNT_PATH/$RAILS_ENV
-ln -s /opt/alaveteli/lib/acts_as_xapian/xapiandbs/$RAILS_ENV $XAPIAN_MOUNT_PATH/$RAILS_ENV
+
+echo "linkning $XAPIAN_MOUNT_PATH/$RAILS_ENV/ ... | bash |
d_bash_5933 | ---
+++
@@ -8,7 +8,14 @@
fi
csplit -sf applytest/puppetapplytest manifests/site.pp '/^$/' {*}
-sed -i -e 's/^[^[:space:]]/#&/g' applytest/puppetapplytest*
+sed -i -e 's/^[^][:space:]$]/#&/g' applytest/puppetapplytest*
sed -i -e 's@hiera(.\([^.]*\).,\([^)]*\))@\2@' applytest/puppetapplytest*
+mv applytest/*00 app... | bash |
d_bash_5934 | ---
+++
@@ -1,11 +1,13 @@
#!/bin/bash
set -e
-CONTENT=$(curl -L jdk.java.net/10/)
-TMP="${CONTENT#*Most recent build: jdk-10-ea+}" # remove preamble
+JDK_FEATURE=10
-JDK_FEATURE=10
-JDK_BUILD="${TMP%%<*}" # remove everything after the first <
+TMP=$(curl -L jdk.java.net/${JDK_FEATURE})
+TMP="${TMP#*Most recent ... | bash |
d_bash_5935 | ---
+++
@@ -11,8 +11,8 @@
export SPARK_MASTER_IP={{active_master}}
export MASTER=`cat /root/spark-ec2/cluster-url`
-export SPARK_SUBMIT_LIBRARY_PATH="/root/ephemeral-hdfs/lib/native/"
-export SPARK_SUBMIT_CLASSPATH=$SPARK_CLASSPATH":/root/ephemeral-hdfs/conf"
+export SPARK_SUBMIT_LIBRARY_PATH="$SPARK_SUBMIT_LIBRA... | bash |
d_bash_5936 | ---
+++
@@ -20,3 +20,11 @@
done
rm -f $TOUCHED_FILE
+
+# Create a Jar! Reuse the script that comes with MARS. It says it's a bash
+# script, but it's really just a single command saved in a text file.
+cd $MARS_DIR
+sh CreateMarsJar.bat
+mv Mars.jar ../Mars4_5-SockMod.jar
+cd ..
+rm -rf $MARS_DIR | bash |
d_bash_5937 | ---
+++
@@ -1,6 +1,4 @@
-#!/bin/bash
-
-set -e
+#!/bin/bash -e
readonly common=(httpie fd exa ripgrep bat htop neovim ranger zsh hub nnn tig entr)
cd "$(dirname "$0")/.."
@@ -15,7 +13,7 @@
brew cleanup
info "Installing packages"
- bottles=("${common[@]}" python3)
+ bottles=("${common[@]}" python3 gnu-se... | bash |
d_bash_5938 | ---
+++
@@ -9,7 +9,7 @@
bundle exec rake dependencies:update
git add .
-git commit --message "Bump $GEM_NAME to $VERSION" --message "This pull request was triggered automatically via Expeditor when $GEM_NAME $VERSION was promoted to Rubygems." --message "Signed-off-by: Chef CI <oss@chef.io>"
+git commit --message... | bash |
d_bash_5939 | ---
+++
@@ -1,5 +1,16 @@
# check required environment variables are there
: ${ANDROID_HOME:?"Need to set ANDROID_HOME non-empty"}
+: ${NODE_PATH:?"Need to set NODE_PATH non-empty"}
+
+[ -z "$NODE_PATH" ] && NODE_PATH="/usr/local/lib/node_modules"
+
+if env | grep -q ^NODE_PATH=
+then
+ echo NODE_PATH is already ex... | bash |
d_bash_5940 | ---
+++
@@ -5,7 +5,9 @@
git submodule update -f --init --recursive
cd cloned
-git clone -n https://github.com/cuelang/cue
+if [[ ! -d cue/ ]] ; then
+ git clone -n https://github.com/cuelang/cue
+fi
cd cue
git checkout 317163484ec5d79259a4ea6524d3870419510639
cd ../.. | bash |
d_bash_5941 | ---
+++
@@ -9,6 +9,7 @@
echo "update found and applied succesfully, rebooting"
sudo cp -f /home/pi/extremefeedbacklamp/xfdlampupdate.sh /etc/cron.daily/xfdlampupdate
sudo chmod +x /etc/cron.daily/xfdlampupdate
+ sudo chown -R pi:pi /home/pi/extremefeedbacklamp
#sudo cp -f /home/pi/extremefeedba... | bash |
d_bash_5942 | ---
+++
@@ -4,7 +4,7 @@
NAME="smdba"
# Update
-git pull
+#git pull
# Cleanup
rm -f $NAME-*.tar.bz2 | bash |
d_bash_5943 | ---
+++
@@ -2,16 +2,16 @@
# Useful helper function, adapted from of https://gist.github.com/dciccale/5560837
function parse_git_hash() {
- git rev-parse --short HEAD 2> /dev/null | sed "s/\(.*\)/\1/"
+ git rev-parse HEAD 2> /dev/null | sed "s/\(.*\)/\1/"
}
-read -p "What should the folder name be for this pr... | bash |
d_bash_5944 | ---
+++
@@ -24,5 +24,5 @@
bin/rails assets:precompile
bin/rails comm:revwrite
-touch tmp/restart.txt
+passenger-config restart-app --rolling-restart .
for pidfile in `ls tmp/pids/sidekiq-*`;do bundle exec sidekiqctl stop $pidfile;done | bash |
d_bash_5945 | ---
+++
@@ -3,7 +3,10 @@
git clone 'git@github.gds:gds/cdn-configs.git'
cp cdn-configs/fastly/fastly.yaml .
-cp cdn-configs/fastly/vcl_templates/* vcl_templates/
+
+git clone 'git@github.com:alphagov/govuk-cdn-config.git'
+
+cp govuk-cdn-config/vcl_templates/*.vcl.erb vcl_templates/
bundle install --path "${HO... | bash |
d_bash_5946 | ---
+++
@@ -1,11 +1,4 @@
#!/bin/sh
-brew tap caskroom/cask
-brew tap caskroom/fonts
-brew tap ioszip/ioszip
-brew tap thoughtbot/formulae
-brew tap aspnet/dnx
-brew tap tcnksm/ghr
-
brew update
brew install $(cat brew_leaves.txt | sed "/^#/d")
brew cask install $(cat brew_cask_list.txt | sed "/^#/d") | bash |
d_bash_5947 | ---
+++
@@ -24,7 +24,7 @@
done
echo "Creating the external network."
-neutron net-create ext-net --shared --router:external=True
+neutron net-create ext-net --router:external=True
echo "Creating a subnet on the external network."
neutron subnet-create ext-net \ | bash |
d_bash_5948 | ---
+++
@@ -1,23 +1,17 @@
#!/bin/bash -x
-source '/usr/local/lib/rvm'
-bundle install --path "/home/jenkins/bundles/${JOB_NAME}" --deployment --without mac_development
+bundle install --path "${HOME}/bundles/${JOB_NAME}" --deployment --without mac_development
-echo -e "SOLR_HOST='localhost'\nDIRECTGOV_JOBS_API_AUT... | bash |
d_bash_5949 | ---
+++
@@ -4,4 +4,8 @@
export ANDROID_SDK_ROOT=/usr/local/share/android-sdk
fi
-export ANDROID_HOME="$HOME/.android"
+if [[ -d $HOME/Library/Android/sdk ]]; then
+ export ANDROID_HOME="$HOME/Library/Android/sdk"
+else
+ export ANDROID_HOME="$HOME/.android"
+fi | bash |
d_bash_5950 | ---
+++
@@ -7,8 +7,8 @@
# Update the version in the Python client and regenerate the files
sed -i -e "s!packageVersion: .*!packageVersion: $1!g" clients/python/.openapi-generator-config.yaml
-make -c clients python python-publish
+make -C clients python python-publish
# Update the version in the Typescript cli... | bash |
d_bash_5951 | ---
+++
@@ -23,7 +23,7 @@
fi
if [ -n "$DESC" ]; then
- NEWINFO="#define BUILD_DESC \"$DESC\""
+ NEWINFO="#define BUILD_DESC \"v$DESC\""
else
NEWINFO="// No build information available"
fi | bash |
d_bash_5952 | ---
+++
@@ -20,12 +20,11 @@
if [ ${size} = '1' ];then
local tab_id=${id[1]}
chrome-cli activate -t ${tab_id}
+ open -a "Google Chrome"
elif [ ${size} = '2' ];then
local tab_id=${id[2]}
chrome-cli activate -t ${tab_id}
- fi
- if [ ! -z ${tab_id} ];then
- chro... | bash |
d_bash_5953 | ---
+++
@@ -1,7 +1,15 @@
GIT=https://github.com/robbycerantola/pastel.git
-
+BINDIR=/ui/bin
function recipe_stage {
- mkdir "$1/ui"
- cp -rv res "$1/ui/pastel"
+ mkdir "$1/ui"
+ cp -rv res "$1/ui/pastel"
+ mkdir "$1/ui/apps"
+ cat > "$1/ui/apps/pastel" <<-EOF
+ name=Pastel
+ binary=/ui/bin/pastel
+ icon=/ui... | bash |
d_bash_5954 | ---
+++
@@ -1,5 +1,7 @@
#! /bin/sh
# Vim Package Manager Install
+
+# //TODO Add checks for issues? (i.e. vim missing, dotfiles missing, etc)
echo "--------"
echo "Installing Vundle"
@@ -9,3 +11,6 @@
then
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim
fi
+
+# Install vim plu... | bash |
d_bash_5955 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-curl -o common.sh https://raw.githubusercontent.com/sclorg/postgresql-container/master/9.4/root/usr/share/container-scripts/postgresql/common.sh && patch common.sh < multiple_dbs.patch
+curl -o common.sh https://raw.githubusercontent.com/sclorg/postgresql-container/master/9.4/roo... | bash |
d_bash_5956 | ---
+++
@@ -32,3 +32,9 @@
# https://www.virtualbox.org/wiki/Linux_Downloads
sudo apt-get -y install virtualbox
sudo apt-get -y install dkms
+
+# Android Studio
+if [[ -f /usr/local/android-studio/bin/studio.sh ]]
+then
+ sudo ln -s --force /usr/local/android-studio/bin/studio.sh /usr/local/bin/android-studio
+fi | bash |
d_bash_5957 | ---
+++
@@ -5,7 +5,7 @@
selection=$(echo $options | rofi -dmenu -sep '|' -p 'Select option: ')
exit_option=$(echo "$selection" | tr '[:upper:]' '[:lower:]')
-if [ ! "$selection" = "Cancel" ]; then
+if [ ! $selection = "Cancel" ]; then
"$HOME/scripts/i3/exit.sh" $exit_option
fi
| bash |
d_bash_5958 | ---
+++
@@ -18,13 +18,13 @@
# Adapt this build script to your cluster environment.
# Download Powergraph v2.2 #a038f97
-wget https://github.com/dato-code/PowerGraph
+git clone https://github.com/graphlab-code/graphlab.git
# Move into the powergraph repo directory.
-cd powergraph
+cd graphlab
# Replace CMake... | bash |
d_bash_5959 | ---
+++
@@ -10,14 +10,13 @@
for file in ${files[@]}; do
if [[ ${file} != *lib* ]]; then
+ if [[ ${file} == *test* && ${file} == *Test* ]]; then
+ if [[ ${1} == *test* ]]; then
+ source ${file}
+ fi
+ fi
+
source ${file}
- fi
-
- if [[ ${1} != *test* ]]; then
- if [[ ${file} != ... | bash |
d_bash_5960 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright 2016 BMC Software, Inc.
# | bash |
d_bash_5961 | ---
+++
@@ -13,4 +13,4 @@
cd ../mbc-user-import
# Create SymLink for mbc-user-import application to make reference to for all Message Broker configuration settings
-ln -s $MBCONFIG .
+ln -s ${MBCONFIG} . | bash |
d_bash_5962 | ---
+++
@@ -16,6 +16,8 @@
echo "----------------------------------------"
echo "==> time ./makeAcornSpreadsheet.sh -t"
date
+# The first time this is run, there are missing episodes. Running it twide seem to fix the problem.
+time ./makeAcornSpreadsheet.sh -t
time ./makeAcornSpreadsheet.sh -t
echo ""
echo "---... | bash |
d_bash_5963 | ---
+++
@@ -4,4 +4,5 @@
"/Applications/Xamarin Studio.app/Contents/MacOS/mdtool" -v build "--target:Clean" "--configuration:Release|iPhone" "Mindscape.Raygun4Net.Xamarin.iOS.sln"
"/Applications/Xamarin Studio.app/Contents/MacOS/mdtool" -v build "--configuration:Release|iPhone" "Mindscape.Raygun4Net.Xamarin.iOS.sln"... | bash |
d_bash_5964 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-mapserver="mapserver-7.0.3"
+mapserver="mapserver-7.0.2"
echo "---> Starting $mapserver installation"
| bash |
d_bash_5965 | ---
+++
@@ -23,6 +23,7 @@
# Make library folder and copy paper.js there
mkdir lib
cp $BASE/dist/paper.js lib
+cp $BASE/dist/paper-min.js lib
# Copy examples over
cp -r $BASE/examples .
# Replace ../../dist/ with ../../lib/ in each example | bash |
d_bash_5966 | ---
+++
@@ -3,7 +3,10 @@
export PATH=/bin:/usr/bin
cur_dir=`pwd`
./download_logs.py --date $1 --source $2
-./process_logs.py --date $1
+if [ "$2" != "faxbox" ];
+then
+ ./process_logs.py --date $1
+fi
sed -i "s/ES_INDEX/$3/" joblog.conf
cat jobsarchived$1-processed.csv | /opt/logstash/bin/logstash -f joblog.c... | bash |
d_bash_5967 | ---
+++
@@ -10,3 +10,4 @@
diff-quality --violations flake8 --include-untracked
diff-quality --violations pylint --include-untracked
doc8 README.rst
+ | bash |
d_bash_5968 | ---
+++
@@ -21,7 +21,7 @@
ulimit -S -s unlimited
ulimit -S -s unlimited
-export MALLOC_ARNEA_MAX=1
+export MALLOC_ARENA_MAX=1
java -Xms64m -Xmx${MEMORY} -Dosgi.locking=none -Dosgi.configuration.area=${CONFIGDIR} $FLAG -XX:ReservedCodeCacheSize=128m -XX:MaxMetaspaceSize=128m -XX:CompressedClassSpaceSize=128m -X... | bash |
d_bash_5969 | ---
+++
@@ -21,5 +21,5 @@
echo Run Shake
ninja -t clean
-time shake -j3
-time shake -j3
+time shake -j3 --quiet --timings
+time shake -j3 --quiet --timings | bash |
d_bash_5970 | ---
+++
@@ -1,20 +1,29 @@
#!/bin/bash
-# Delete current deploy branch
+# Store current branch and version
+BRANCH=`git symbolic-ref -q --short HEAD`
+VERSION=`git describe`
+
+# Delete any existing deploy branch
git branch -D deploy
-# Create new deploy branch based on master
+# Create new deploy branch based o... | bash |
d_bash_5971 | ---
+++
@@ -16,7 +16,7 @@
killall unclutter
fi
-sleep 0.3s
+perl -e "use Time::HiRes qw( sleep ); sleep (0.3);"
scrot -s '%Y-%m-%d_$wx$h.png' -e "mv \$f $SCRDIR && feh $SCRDIR/\$f"
if [[ $UNC_RUNNING -eq 0 ]] | bash |
d_bash_5972 | ---
+++
@@ -3,6 +3,9 @@
ac run -- sh -c "
set -e
+ useradd -md /home/user -U user
+ usermod -p '*' user
+ echo 'user ALL=(ALL) NOPASSWD:ALL' >> /etc/sudoers
$(proxy)
dnf group install -y --best 'development tools'
dnf install -y --best \
@@ -10,15 +13,10 @@
... | bash |
d_bash_5973 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Copyright (c) 2010 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
| bash |
d_bash_5974 | ---
+++
@@ -1,7 +1,14 @@
#!/bin/bash
+# Install needed dependencies
yarn install
+# Build code
yarn build
+# Create a new version
yarn version
+# Create a new publish token
npm login --registry https://wombat-dressing-room.appspot.com
+# Publish new version to npm
npm publish --registry https://wombat-dressin... | bash |
d_bash_5975 | ---
+++
@@ -1,6 +1,11 @@
#!/usr/bin/env bash
# build browser js
+
# This does not source ./lib/strict-mode.sh for convenience within docker
+
+# Please Use Google Shell Style: https://google.github.io/styleguide/shell.xml
+# Start unofficial bash strict mode boilerplate
+# http://redsymbol.net/articles/unofficial-... | bash |
d_bash_5976 | ---
+++
@@ -13,8 +13,8 @@
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
alias gl='git log -p'
alias gd='git diff --ignore-all-space --ignore-space-change --ignore-space-at-eol'
+alias ga='git add -i'
alias gc... | bash |
d_bash_5977 | ---
+++
@@ -7,16 +7,16 @@
# Link and copy files.
- ln -nfs $BASE_DIR/bin/ bin
+ ln -nfsv $BASE_DIR/bin/ bin
- ln -nfs $BASE_DIR/bash/bashrc .bashrc
- ln -nfs $BASE_DIR/bash/profile .profile
- ln -nfs $BASE_DIR/bash/gitignore_global .gitignore_global
- cp -iv $BASE_DIR/bash/gitconfig .gitconfig
+ ln -nfsv $BAS... | bash |
d_bash_5978 | ---
+++
@@ -9,7 +9,10 @@
git config --global user.email "travis@travis-ci.org"
git config --global user.name "Travis CI"
+git checkout -b production
+
npm run doc:build
+
git add package.json
git add docs
| bash |
d_bash_5979 | ---
+++
@@ -19,5 +19,4 @@
cat setup.cfg
sed -i.bak "s|/usr/local|$PREFIX|" setupext.py
-
-$PYTHON setup.py install
+$PYTHON setup.py install --single-version-externally-managed --record record.txt | bash |
d_bash_5980 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-export VERSION=`curl -s https://repo1.maven.org/maven2/org/keycloak/keycloak-server-dist/ | sed -e 's/<[^>]*>//g' | grep -i final | cut -d '/' -f1 | tail -n1`
+export VERSION=`curl -s https://repo1.maven.org/maven2/org/keycloak/keycloak-server-dist/ |sed -e 's/<[^>]*>//g' | gre... | bash |
d_bash_5981 | ---
+++
@@ -5,13 +5,12 @@
export WORKON_HOME=$HOME/.virtualenvs
export PROJECT_HOME=$HOME/Projects
export PIP_VIRTUALENV_BASE=$WORKON_HOME
-export PIP_REQUIRE_VIRTUALENV=true
+export PIP_REQUIRE_VIRTUALENV=false
export PIP_RESPECT_VIRTUALENV=true
export VIRTUALENV_USE_DISTRIBUTE=True
export VIRTUALENVWRAPPER_VI... | bash |
d_bash_5982 | ---
+++
@@ -3,8 +3,10 @@
tmux new-session -d -s bungeecord
tmux new-session -d -s saikban
+tmux new-session -d -s supybot
tmux new-session -d -s workflow
tmux send-keys -t bungeecord "cd ~/servers/bungeecord && ./start.sh" Enter
tmux send-keys -t saikban "cd ~/servers/saikban-web && ./start.sh" Enter
+tmux s... | bash |
d_bash_5983 | ---
+++
@@ -7,7 +7,12 @@
if [ -f $MODEL ]; then
echo "Model already exists. Checking md5..."
- checksum=`md5sum $MODEL | awk '{ print $1 }'`
+ os=`uname -s`
+ if [ "$os" = "Linux" ]; then
+ checksum=`md5sum $MODEL | awk '{ print $1 }'`
+ elif [ "$os" = "Darwin" ]; then
+ checksum=`cat $MODEL | md5`
+ ... | bash |
d_bash_5984 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.14%2B9/OpenJDK11U-jdk_x64_linux_hotspot_11.0.14_9.tar.gz"
;;
java17)
- echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk-17.0.1%2B12/OpenJDK17U-jdk_x64_linux_hotspot_17.0.1_12.tar... | bash |
d_bash_5985 | ---
+++
@@ -19,7 +19,7 @@
# For those usages not covered by this license please contact with
# iot_support at tid dot es
-PROXY_VERSION=0.3.0
+PROXY_VERSION=0.4.0-next
PROXY_RELEASE=$1
RPM_TOPDIR=$PWD
PROXY_USER=pepproxy | bash |
d_bash_5986 | ---
+++
@@ -8,7 +8,7 @@
cd $(git rev-parse --show-toplevel)
rm -rf target/doc/
-multirust run nightly cargo doc --no-deps --features "backup cache functions load_extension trace blob"
+rustup run nightly cargo doc --no-deps --features "backup blob chrono functions load_extension serde_json trace"
echo '<meta htt... | bash |
d_bash_5987 | ---
+++
@@ -4,7 +4,7 @@
if [ "$TRAVIS_OS_NAME" == "linux" ]; then
./setup.py
- find . -maxdepth 2
+ find . -maxdepth 5
else
brew install cmake qt5 bison gettext ninja python3 || echo | bash |
d_bash_5988 | ---
+++
@@ -14,8 +14,21 @@
#!/usr/bin/env bash
docker rm -vf $(docker ps -aq)
-docker-compose up -d
+docker-compose up -d dnsdock
+sleep 10
+docker-compose up -d mysqldata
+docker-compose up -d mysql
+sleep 10
+docker-compose up -d cadvisor
+docker-compose up -d hipache
+docker-compose up -d redis
+docker-compose... | bash |
d_bash_5989 | ---
+++
@@ -2,12 +2,14 @@
. $(dirname $0)/helper.sh
-strings </dev/urandom | head -n1000 | compile_input
+COUNT=10000
+
+strings </dev/urandom | head -n $COUNT | compile_input
num_keys=$(wc -l <$COMPILE_INPUT)
echo "Inserted $num_keys items" | compile_output
query_input <$COMPILE_INPUT
-yes "Found" | head... | bash |
d_bash_5990 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
# Taken from Jess Frazelle at:
# https://github.com/jessfraz/dotfiles/blob/master/test.sh
@@ -9,6 +9,6 @@
FILES=$(find . -type f -not -path "*/\.*" -not -name "LICENSE" -not -name "README.md")
for file in $FILES; do
- shellcheck "$file"
+ shellcheck ... | bash |
d_bash_5991 | ---
+++
@@ -2,7 +2,7 @@
source /etc/mailinabox.conf # load global vars
-ADMIN=$(sqlite3 $STORAGE_ROOT/mail/users.sqlite "SELECT email FROM users WHERE privileges = 'admin' ORDER BY id ASC LIMIT 1")
+ADMIN=$(./mail.py user admins | head -n 1)
test -z "$1" || ADMIN=$1
echo I am going to unlock admin features ... | bash |
d_bash_5992 | ---
+++
@@ -1,6 +1,7 @@
set -e
echo "Building Framework..."
+mkdir -p Distribution
xcodebuild -scheme "Universal Framework" -configuration "Debug" > Distribution/build.log
open Distribution/
echo "Done." | bash |
d_bash_5993 | ---
+++
@@ -1,8 +1,8 @@
CURRENT_BRANCH=$(git rev-parse --abbrev-ref HEAD)
git checkout -B sync-translations-rce && \
- git add -A . && \
+ git add . && \
git commit -m "[i18n] Update RCE translations.
After submitting, make sure to publish a new version of canvas-rce to NPM." && \
- git push origin sync-tr... | bash |
d_bash_5994 | ---
+++
@@ -10,8 +10,8 @@
fi
sudo git clone https://github.com/HOuadhour/Sunrise.git
-echo "Adding the execute attribute of sunrise to the current user"
-sudo chmod +x /opt/Sunrise/sunrise.pyw
+echo "Adding the execute attribute of sunrise to all users"
+sudo chmod a+x /opt/Sunrise/sunrise.pyw
echo ""
echo "Cre... | bash |
d_bash_5995 | ---
+++
@@ -8,9 +8,15 @@
./node_modules/babel-cli/bin/babel-node.js update.js
+git config credential.helper store
+
+echo https://$GIT_CREDENTIALS@github.com > ~/.git-credentials
+
git commit -am "Update - $(date)"
git push origin master
+
+rm ~/.git-credentials
cd ..
| bash |
d_bash_5996 | ---
+++
@@ -15,6 +15,7 @@
do_prepare() {
sed -i.bak 's/#zlib/zlib/' Modules/Setup.dist
+ sed -i -re "/(SSL=|_ssl|-DUSE_SSL|-lssl).*/ s|^#||" Modules/Setup.dist
}
do_build() { | bash |
d_bash_5997 | ---
+++
@@ -9,7 +9,7 @@
echo "No candump-save service is already active"
else
echo "A candump-save service is already active"
- exit 1
+ exit 0
fi
dir="/tmp/candump/" | bash |
d_bash_5998 | ---
+++
@@ -22,7 +22,9 @@
if [[ "$?" -ne 0 ]]; then return -1; fi
local NEW_PATH_FOLDER=$1
- echo "export PATH=\$PATH:$NEW_PATH_FOLDER" >> ~/.bash_profile
+ echo "export PATH=\$PATH:\"$NEW_PATH_FOLDER\"" >> ~/.bash_profile
+ refresh
+ echo $PATH
}
# NETWORK | bash |
d_bash_5999 | ---
+++
@@ -21,15 +21,9 @@
FILES=$(find nova -type f -name "*.py" ! -path "nova/tests/*" \
-exec grep -l "Opt(" {} + | sort -u)
-BINS=$(echo bin/nova-* | grep -v nova-rootwrap)
export EVENTLET_NO_GREENDNS=yes
MODULEPATH=$(dirname "$0")/../../nova/openstack/common/config/generator.py
OUTPUTPATH=etc/... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.